curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes \
--header 'Content-Type: application/json' \
--data '
{
"code": "VAT21",
"name": "VAT 21%",
"rate": 123,
"reversed": false,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes"
payload = {
"code": "VAT21",
"name": "VAT 21%",
"rate": 123,
"reversed": False,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'VAT21',
name: 'VAT 21%',
rate: 123,
reversed: false,
deductible_account_number: '<string>',
payable_account_number: '<string>'
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'VAT21',
'name' => 'VAT 21%',
'rate' => 123,
'reversed' => false,
'deductible_account_number' => '<string>',
'payable_account_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes"
payload := strings.NewReader("{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"rate": 123,
"reversed": false,
"active": true,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create tax code
Creates a new tax code. When reversed=true, it is created as a reverse-charge tax code.
curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes \
--header 'Content-Type: application/json' \
--data '
{
"code": "VAT21",
"name": "VAT 21%",
"rate": 123,
"reversed": false,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes"
payload = {
"code": "VAT21",
"name": "VAT 21%",
"rate": 123,
"reversed": False,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'VAT21',
name: 'VAT 21%',
rate: 123,
reversed: false,
deductible_account_number: '<string>',
payable_account_number: '<string>'
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'VAT21',
'name' => 'VAT 21%',
'rate' => 123,
'reversed' => false,
'deductible_account_number' => '<string>',
'payable_account_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes"
payload := strings.NewReader("{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/spend_management/tax-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"VAT21\",\n \"name\": \"VAT 21%\",\n \"rate\": 123,\n \"reversed\": false,\n \"deductible_account_number\": \"<string>\",\n \"payable_account_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"rate": 123,
"reversed": false,
"active": true,
"deductible_account_number": "<string>",
"payable_account_number": "<string>"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Body
Short code identifying the tax code.
1"VAT21"
Name or label of the tax code.
1"VAT 21%"
Tax rate applied by this code (e.g., 21.0 for 21%).
Whether this tax code represents a reverse-charge VAT mechanism, as opposed to a regular tax.
Number of the ledger account this tax code's deductible VAT should be booked to. When provided, it takes precedence over code for that purpose.
Number of the ledger account this tax code's payable VAT should be booked to. Only used when reversed=true.
Response
Successful Response
Id of the tax code.
Name or label of the tax code.
Tax rate applied by this code (e.g., 21.0 for 21%).
Whether this tax code represents a reverse-charge VAT mechanism, as opposed to a regular tax.
Flag indicating whether the tax code is active.
Number of the ledger account this tax code's deductible VAT is booked to, when known.
Number of the ledger account this tax code's payable VAT is booked to, when known.